local _, private = ...
	private.defaults.objtrackSetPoints = {
		point = "RIGHT", 
		relativeTo = "dvlockcheckframe", 
		relativePoint = "RIGHT", 
		xOffset = -6, 
		yOffset = 0,
	}	
	
-- Garrison Minimap Menu:
local objtrackframe=CreateFrame("Frame", "objtrackframe", dvlockcheckframe)
	objtrackframe:RegisterEvent("PLAYER_LOGIN")
	objtrackframe:RegisterEvent("QUEST_LOG_UPDATE")
	objtrackframe:SetFrameStrata("HIGH")
	objtrackframe:SetClampedToScreen(true)
	objtrackframe:SetMovable(true)
	objtrackframe:EnableMouse(true)
	objtrackframe:RegisterForDrag("LeftButton")
	objtrackframe:SetWidth(274)
	objtrackframe:SetHeight(700)
	objtrackframe:Show()

	objtrackframe:SetScript("OnEvent", function(self, event, arg1)
		if event == "PLAYER_LOGIN" then
		local point = private.db.objtrackSetPoints
			self:ClearAllPoints()	
			self:SetPoint(
				point.point,
				point.relativeTo,
				point.relativePoint,
				point.xOffset,
				point.yOffset)
		end
	end)

	objtrackframe:SetScript("OnDragStart", objtrackframe.StartMoving) 
	
	objtrackframe:SetScript("OnDragStop", function(self) 
		self:StopMovingOrSizing() 
		self:SetUserPlaced(false) 
		
		point, relativeTo, relativePoint, xOfs, yOfs = self:GetPoint(1)
			if ( relativeTo ) then
				relativeTo = relativeTo:GetName();
			else
				relativeTo = self:GetParent():GetName();
			end
	
		-- These are debugging messages for the frame points
		-- Un-comment them to help debug
		-- DEFAULT_CHAT_FRAME:AddMessage(point)
		-- DEFAULT_CHAT_FRAME:AddMessage(relativeTo)
		-- DEFAULT_CHAT_FRAME:AddMessage(relativePoint)
		-- DEFAULT_CHAT_FRAME:AddMessage(xOfs)
		-- DEFAULT_CHAT_FRAME:AddMessage(yOfs)

		private.db.objtrackSetPoints.point = point
		private.db.objtrackSetPoints.relativeTo = relativeTo
		private.db.objtrackSetPoints.relativePoint = relativePoint
		private.db.objtrackSetPoints.xOffset = xOfs
		private.db.objtrackSetPoints.yOffset = yOfs			
	end)

local objtrackframeFS = objtrackframe:CreateFontString("FontString","OVERLAY","GameTooltipText")
local dvgttFS = objtrackframe:CreateFontString("FontString","OVERLAY","GameTooltipText")

	dvgttFS:SetPoint("CENTER",objtrackframe,"CENTER",0,0)
	dvgttFS:SetFont("Fonts\\FRIZQT__.TTF", 16, "THINOUTLINE")
	dvgttFS:SetText("Objective".."\n".."Tracker");
	dvgttFS:SetTextColor(1, 1, 1);
	dvgttFS:SetJustifyH("CENTER")
			
local t=objtrackframe:CreateTexture(nil,"ARTWORK")
	t:SetAllPoints(objtrackframe)
	t:SetColorTexture(0, 192, 255, 0.7)
	
	
	local _, private = ...
	private.defaults.garmmSetPoints = {
		point = "BOTTOMRIGHT", 
		relativeTo = "objtrackframe", 
		relativePoint = "TOPRIGHT", 
		xOffset = 0, 
		yOffset = 0,
	}	
	
	MinimapCluster:ClearAllPoints()	
	MinimapCluster:SetPoint("BOTTOMLEFT", objtrackframe, "TOPLEFT", 175, 0)
	
	
-- Garrison Minimap Menu:
local garrisonmmframe=CreateFrame("Frame", "garrisonmmframe", dvlockcheckframe)
	garrisonmmframe:RegisterEvent("PLAYER_LOGIN")
	garrisonmmframe:RegisterEvent("QUEST_LOG_UPDATE")
	garrisonmmframe:SetFrameStrata("HIGH")
	garrisonmmframe:SetClampedToScreen(true)
	garrisonmmframe:SetMovable(true)
	garrisonmmframe:EnableMouse(true)
	garrisonmmframe:RegisterForDrag("LeftButton")
	garrisonmmframe:SetWidth(40)
	garrisonmmframe:SetHeight(40)
	garrisonmmframe:Show()

	garrisonmmframe:SetScript("OnEvent", function(self, event, arg1)
		if event == "PLAYER_LOGIN" then
		local point = private.db.garmmSetPoints
			self:ClearAllPoints()	
			self:SetPoint(
				point.point,
				point.relativeTo,
				point.relativePoint,
				point.xOffset,
				point.yOffset)
		end
	end)

	garrisonmmframe:SetScript("OnDragStart", garrisonmmframe.StartMoving) 
	
	garrisonmmframe:SetScript("OnDragStop", function(self) 
		self:StopMovingOrSizing() 
		self:SetUserPlaced(false) 
		
		point, relativeTo, relativePoint, xOfs, yOfs = self:GetPoint(1)
			if ( relativeTo ) then
				relativeTo = relativeTo:GetName();
			else
				relativeTo = self:GetParent():GetName();
			end
	
		-- These are debugging messages for the frame points
		-- Un-comment them to help debug
		-- DEFAULT_CHAT_FRAME:AddMessage(point)
		-- DEFAULT_CHAT_FRAME:AddMessage(relativeTo)
		-- DEFAULT_CHAT_FRAME:AddMessage(relativePoint)
		-- DEFAULT_CHAT_FRAME:AddMessage(xOfs)
		-- DEFAULT_CHAT_FRAME:AddMessage(yOfs)

		private.db.garmmSetPoints.point = point
		private.db.garmmSetPoints.relativeTo = relativeTo
		private.db.garmmSetPoints.relativePoint = relativePoint
		private.db.garmmSetPoints.xOffset = xOfs
		private.db.garmmSetPoints.yOffset = yOfs			
	end)

local garrisonmmframeFS = garrisonmmframe:CreateFontString("FontString","OVERLAY","GameTooltipText")
local dvgttFS = garrisonmmframe:CreateFontString("FontString","OVERLAY","GameTooltipText")

	dvgttFS:SetPoint("CENTER",garrisonmmframe,"CENTER",0,0)
	dvgttFS:SetFont("Fonts\\FRIZQT__.TTF", 16, "THINOUTLINE")
	dvgttFS:SetText("Garrison".."\n".."Menu");
	dvgttFS:SetTextColor(1, 1, 1);
	dvgttFS:SetJustifyH("CENTER")
			
local t=garrisonmmframe:CreateTexture(nil,"ARTWORK")
	t:SetAllPoints(garrisonmmframe)
	t:SetColorTexture(0, 192, 255, 0.7)
	
	GarrisonLandingPageMinimapButton:SetParent(UIParent)
	GarrisonLandingPageMinimapButton:SetScale(1.0)
	GarrisonLandingPageMinimapButton:ClearAllPoints()	
	GarrisonLandingPageMinimapButton:SetPoint("CENTER", garrisonmmframe, "CENTER", 0, 0)